#include <bits/stdc++.h>
using namespace std;

int n, m, c[300100], k = 0;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    map<int, int> p;
    cin >> n >> m;
    for (int i = 0; i < m; i++) {
        cin >> c[i];
        p[c[i]]++;
    }

    set<int> t;
    for (const auto &[key, value] : p) {
        if (value >= n)
            t.insert(key);
    }

    cout << t.size() << "\n";
    for (int i : t)
        cout << i << " ";

    return 0;
}
